---
version: "1.1"

hostnames:

  group1:

    hosts:
      type: domainname
      multi: true
      default:
        - group1.net

    prefix_name:
      default: GROUP1_

  group2:

    hosts:
      type: domainname
      multi: true
      default:
        - group2.net
        - group3.net

    prefix_name:
      default: GROUP2_

    vars:

      all:

        added_var1: true

        a_family:

          with_a_variable: 1

      "0":

        added_var2: true

  group3:

    hosts:
      type: domainname
      multi: true
      default:
        - group4.net
        - group5.net
